Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class PickSupport

    java.lang.Object
      gov.nasa.worldwind.PickSupport

    public class PickSupport

extends Object

Constructor Summary
`PickSupport()`

Method Summary
`void` | `addPickableObject(int colorCode, Object o)`
`void` | `addPickableObject(int colorCode, Object o, Position position, boolean isTerrain)`
`void` | `addPickableObject(int colorCode, PickedObject po)`
`void` | `beginPicking(DrawContext dc)`
`void` | `clearPickList()`
`void` | `endPicking(DrawContext dc)`
`int` | `getTopColor(DrawContext dc, Point pickPoint)`
`PickedObject` | `getTopObject(DrawContext dc, Point pickPoint, Layer layer)`
`void` | `resolvePick(DrawContext dc, Point pickPoint, Layer layer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickSupport

    public PickSupport()

Method Detail

### addPickableObject

    public void addPickableObject(int colorCode,
                                  Object o)

### addPickableObject

    public void addPickableObject(int colorCode,
                                  Object o,
                                  Position position,
                                  boolean isTerrain)

### addPickableObject

    public void addPickableObject(int colorCode,
                                  PickedObject po)

### beginPicking

    public void beginPicking(DrawContext dc)

### clearPickList

    public void clearPickList()

### endPicking

    public void endPicking(DrawContext dc)

### getTopColor

    public int getTopColor(DrawContext dc,
                           Point pickPoint)

### getTopObject

    public PickedObject getTopObject(DrawContext dc,
                                     Point pickPoint,
                                     Layer layer)

### resolvePick

    public void resolvePick(DrawContext dc,
                            Point pickPoint,
                            Layer layer)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD